module.exports = {
    extends: ['standard', 'prettier', 'plugin:prettier/recommended'],
    plugins: ['prettier'],
    env: {
        browser: true,
    },
    rules: {
        // enable prettier
        'prettier/prettier': 'error',
        // turn off because of prettier conflict
        'standard/array-bracket-even-spacing': 0,
        'standard/computed-property-even-spacing': 0,
        'standard/object-curly-even-spacing': 0,
    },
}
