const MQTT_URI = 'ws://172.16.0.69:9001/mqtt'
const MQTT_CLIENT = 'cccfr_mqtt_%s'
const MQTT_OPTIONS = {
    reconnect: true,
    // userName: '...',
    // password: '...',
}

let monTopics = [
    'pwr/+/#',
    'lwnd/+/#',
    'rgb/+/#',
    'door/state/#',
    'mpd/+/#',
    'info/laser/+/#',

    'info/members/#',
    'info/hc-temp/#',
    'info/mate/#',
    'info/sandserver_temp/#',
    'info/gw/+/#',
    'info/net/ip-leases/#',
    'info/net/uplink/+/#',
    'info/net/status/+/#',
    'info/bigblue/#',

    // TODO: Display known Topics:
    // 'info/ip-leases/#',
    // 'experimental/thed/grossundunpraktisch/#',
];

let monTopicsInit = [
    'pwr/+/#',
    'lwnd/+/#',
    'rgb/+/#',
    'door/state/#',
    'mpd/+/#',
    'info/laser/+/#',
];

// long names, replace TOPIC/$shortname/SUBTOPIC
let roomNames = {};
roomNames['hc'] = 'Hackcenter';
roomNames['b1'] = 'Büro';
roomNames['br'] = 'Brauerei';
roomNames['k1'] = 'K1';
roomNames['k2'] = 'K2';
roomNames['k3'] = 'K3 (G)';
roomNames['kc'] = 'Kackcenter';

let initialRooms = ['hc', 'k3', 'kc'];
let initialFold = ['hc-group', 'k3-group', 'kc-group'];
