# CCCFr MQTT Dashboard

More information can be found in the [CCCFr Wiki](https://wiki.cccfr.de/infrastruktur:mqtt).

## Installation / Development

- Install any `lessc` implementation (Less to CSS compiler).
- Clone this repository.
- Copy `js/config.sample.js` to `js/config.js` and edit to your needs.
- Run `make`.
- Open `index.html` in your browser (no server needed).

### File watching

If you want to recompile your files when they change, I recommend to install `entr` and run it this way:

```
git ls-files | entr make
```

This works in most project folders, including this one. The `git ls-files` command lists all files that are part of the source code (and some more, but it doesn't matter), and sends them to `entr`, which then runs `make` every time one of those files changes. Since `make` is built in a way that it only rebuilds the parts that need rebuilding, this won't do too much unnecessary work. Make sure to `Ctrl-C` the command and re-start it when you add a new source file, since the `git ls-files` command will *not* be re-run automatically.

## Sockets

Just plug in a obi socket, configure your MQTT host and give it a topic starting with `pwr/`. The dashboard will automatically find it (if it's correctly preconfigured).

## Adding functionality

If you want to add some new things to display, you need to

- add a check for your topic pattern to the `onMessageArrive` callback,
- create your own event listener or add your event handling to the singleton document event listener, and
- add utility functions as you need.

Maybe there will be an easier and more modular system sometime(tm).

## Configuration

If you are in the CCCFr hackspace the config.sample.js will work for usual purpos.
Onscreen Configuration is possible via the wrench icon in the bottom left, go explore.

Otherwise you will probably need to change the config, as you need:

## License

Do the fuck you want with this software.
